#include <string.h>
#include "defines.h"
#include "ascreen.h"

unchar *ColorMesMake(int col,int fblk)
/* 色データを定数文字列 */
/* fblk : col=0のときTBLACKと表示する(1)か0と表示する(0)か */
{
int i,j=0;
static unchar line[256];
	/* 属性 */
	line[0]=0;
	for (i=NCOLCNV-1;i>=4;i--) {
		if (col&ColCnv[i].num) {
			if (j) strcat(line,"|"); /* OR */
			strcat(line,ColCnv[i].mes);
			j++;
		}
	}
	/* 色 */
	col&=TWHITE;
	for (;i>=0;i--) {
		if (col==ColCnv[i].num) {
			if (fblk||col!=0) {
				if (j) strcat(line,"|"); /* OR */
				strcat(line,ColCnv[i].mes);
			} else {
				if (line[0]==0) strcpy(line,"0");
				/* 属性のみで色指定がない(0)時は省く */
			}
			break;
		}
	}
	return(line);
}

#if 0
main()
{
	printf(ColorMesMake(0x45,0));
}
#endif
